#!/usr/bin/python

# reads in protease sequences in *.consensus_added files and generates subsamples from these sequences

import sys, random, string

seqfile = sys.argv[1];
f = open(seqfile, 'r');

N = 10; # number of subsamples
size = 300; # number of sequences in each subsample

allseq = [];
for line in f:
	allseq.append(line);

for i in range(0,N):
	# get a non-overlapping sample of given size
	subsample = random.sample(allseq, size);

	# print sample to file
	outfile = seqfile + "_sample_" + str(i);
	f_out = open(outfile, 'w');
	for s in subsample:
		f_out.write(s);
	f_out.close();	
